Create a supplier invoice
curl --request POST \
--url https://api.failfast.ai/account_payable/invoice/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"operation_date": "2023-11-07T05:31:56Z",
"invoice_number": 1073741823,
"issue_date": "2023-11-07T05:31:56Z",
"is_pay_authorized": true,
"discount_percentage": "<string>",
"discount_value": "<string>",
"other_discount_value": "<string>",
"subtotal": "<string>",
"total": "<string>",
"vat_value_included": "<string>",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"prefix": "<string>",
"order_number": 0,
"invoice_electronic": true,
"is_directly_created": true,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_trade_term": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.failfast.ai/account_payable/invoice/"
payload = {
"operation_date": "2023-11-07T05:31:56Z",
"invoice_number": 1073741823,
"issue_date": "2023-11-07T05:31:56Z",
"is_pay_authorized": True,
"discount_percentage": "<string>",
"discount_value": "<string>",
"other_discount_value": "<string>",
"subtotal": "<string>",
"total": "<string>",
"vat_value_included": "<string>",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": None,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"prefix": "<string>",
"order_number": 0,
"invoice_electronic": True,
"is_directly_created": True,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_trade_term": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
operation_date: '2023-11-07T05:31:56Z',
invoice_number: 1073741823,
issue_date: '2023-11-07T05:31:56Z',
is_pay_authorized: true,
discount_percentage: '<string>',
discount_value: '<string>',
other_discount_value: '<string>',
subtotal: '<string>',
total: '<string>',
vat_value_included: '<string>',
operation: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
branch_office: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
supplier: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
supplier_detail: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
supplier_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
account: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
location: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
commercial_condition: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
custom_fields: null,
operation_number: 0,
description: '<string>',
status_description: '<string>',
prefix: '<string>',
order_number: 0,
invoice_electronic: true,
is_directly_created: true,
market_exchange_rate: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
cost_center: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
international_trade_term: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
discount_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
tree_hash: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.failfast.ai/account_payable/invoice/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"error": false,
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"operation_date": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"invoice_number": 1073741823,
"issue_date": "2023-11-07T05:31:56Z",
"is_pay_authorized": true,
"discount_percentage": "<string>",
"discount_value": "<string>",
"other_discount_value": "<string>",
"subtotal": "<string>",
"total": "<string>",
"vat_value_included": "<string>",
"member": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"operation": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"branch_office": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deleted_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier_detail": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplier_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"commercial_condition": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"custom_fields": null,
"operation_number": 0,
"description": "<string>",
"status_description": "<string>",
"prefix": "<string>",
"order_number": 0,
"invoice_electronic": true,
"is_directly_created": true,
"market_exchange_rate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"cost_center": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"international_trade_term": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"discount_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tree_hash": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Accounts payable
Create a supplier invoice
Create a new record with optional child records.
POST
/
account_payable
/
invoice
/
Create a supplier invoice
Autorizaciones
Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.
Cuerpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
Rango requerido:
0 <= x <= 2147483647ADV- AdvanceINV- InvoiceCRN- Credit Note
Opciones disponibles:
ADV, INV, CRN Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Pattern:
^-?\d{0,14}(?:\.\d{0,6})?$Rango requerido:
0 <= x <= 2147483647PR- ProvisionalCO- CompleteER- Error
Opciones disponibles:
PR, CO, ER Rango requerido:
-9223372036854776000 <= x <= 9223372036854776000Respuesta
201 - application/json
⌘I

